#ifndef CONTROL_H
#define CONTROL_H

#include "common.h"


// global control variables
extern int   mouse_state;
extern int   mouse_button;
extern float time;
extern float dtime;
extern int   frames;


// init calls
int make_menu();


// glut callbacks
void menu_func(int value);
void keyboard_func(unsigned char key, int x, int y);
void special_func(int key, int x, int y);
void mouse_click_func(int button, int state, int x, int y);
void mouse_move_func(int x, int y);
void idle_func();
void visibility_func(int visibility);


// control functions
void menu_help();
void mouse_move_camera(int dx, int dy);
void mouse_zoom_camera(int dx, int dy);
void key_set_time_dilation(int k);


#endif // CONTROL_H
