#ifndef VECTOR_H
#define VECTOR_H


#include "common.h"


void vectorAddV (float a[3], const float x, const float b[3], 
                 const float y, const float c[3]);
void vectorAddS (float a[3], const float x, const float b[3], 
                 const float y);
void vectorMult (float a[3], const float x, const float b[3]);
void vectorMag  (float* m, const float v[3]);
void vectorUnit (float a[3], const float b[3]);
void vectorSet  (float a[3], const float x);
void vectorCopy (float a[3], const float b[3]);
void vectorDot  (float* a, const float b[3], const float c[3]);
void vectorCross (float a[3], const float b[3], const float c[3]);


#endif // VECTOR_H
